package com.ar.drawing.customer;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;

import androidx.annotation.Nullable;

import com.ar.drawing.others.Utils;
import com.ar.drawing.R;

public class MyTv extends androidx.appcompat.widget.AppCompatTextView {


    public MyTv(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        initAttrs(context,attrs);
    }


    private void initAttrs(Context context, AttributeSet attrs){
        TypedArray typedArray = context.obtainStyledAttributes(attrs, R.styleable.MyTV);
        boolean aBoolean = typedArray.getBoolean(R.styleable.MyTV_apply_font,false);
        if(aBoolean){
            Utils.initFont(this);
        }

        typedArray.recycle();
    }



}
